{% extends 'base.html' %}

	{% block title %}Update Task{% endblock %}

	{% block content %}
		{% if user.is_anonymous == False %}
		<div class="container">
			<div class="row">
				<div class="col-6 offset-3">
					<h1 class="text-center my-3">Update Profile</h1>

					<form action="{% url 'todolist:update_profile' %}" method="post">
						{% csrf_token %}

						<div class="mb-3">
						    <label for="first_name">First Name: </label>
						    <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="50" required>
						</div>

						<div class="mb-3">
						    <label for="last_name">Last Name: </label>
						    <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="50" required>
						</div>

						<div class="mb-3">
						    <label for="password">Password: </label>
						    <input class="form-control" id="password" type="password" name="password" value="{{ password }}" maxlength="50" required>
						</div>

						<div class="text-center">
					    	<input class="btn btn-success" type="submit" value="Save Changes">
						</div>

					</form>
				</div>
			</div>
		</div>
		{% else %}
			<h1 class="text-center my-3">Invalid User Credentials!</h1>
			<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
		{% endif %}
	{% endblock %}

	<!-- {% if is_user_authenticated == False %}
		<h1>Invalid User Credentials!</h1>
		<p>Check if the username and password is correct.</p>
	{% else %}
		<h1>User Password Successfully Updated!</h1>
		<p>The password has been updated.</p>
	{% endif %} -->	